Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management
Interface DomainRoot

All Superinterfaces:
  AMX, AMXMBeanLogging, Container, NotificationBroadcaster, NotificationEmitter

public interface DomainRoot
extends Container

The top-level interface for an appserver domain. Access to all other `AMX` begins here.

Field Summary
`static java.lang.String` | `J2EE_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.lang.String` | `getAppserverDomainName()` Return the name of this appserver domain.
`BulkAccess` | `getBulkAccess()` Get the BulkAccess
`ConfigDottedNames` | `getConfigDottedNames()` Get the ConfigDottedNames
`DeploymentMgr` | `getDeploymentMgr()` Get the DeploymentMgr
`DomainConfig` | `getDomainConfig()`
`J2EEDomain` | `getJ2EEDomain()` Get the JSR 77 J2EEDomain.
`JMXMonitorMgr` | `getJMXMonitorMgr()` Get the JMXMonitorMgr
`MonitoringDottedNames` | `getMonitoringDottedNames()` Get the MonitoringDottedNames
`MonitoringRoot` | `getMonitoringRoot()` Get the MonitoringRoot
`NotificationServiceMgr` | `getNotificationServiceMgr()` Get the NotificationServiceMgr
`QueryMgr` | `getQueryMgr()` Get the QueryMgr
`SystemInfo` | `getSystemInfo()` Get the SystemInfo
`UploadDownloadMgr` | `getUploadDownloadMgr()` Get the UploadDownloadMgr

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

See Also:
  Constant Field Values

Method Detail

### getAppserverDomainName

    public java.lang.String getAppserverDomainName()

  Return the name of this appserver domain. Not to be confused with the JMX domain name, which may be derived from this name and is available from any ObjectName in AMX by calling `Util.getObjectName(com.sun.appserv.management.base.AMX)` The domain name is equivalent to the name of the directory containing the domain configuration. This name is not part of the configuration and can only be changed by using a different directory to house the configuration for the domain.

### getJ2EEDomain

    public J2EEDomain getJ2EEDomain()

  Get the JSR 77 J2EEDomain.

### getDomainConfig

    public DomainConfig getDomainConfig()

  Returns:
    DomainConfig

### getJMXMonitorMgr

    public JMXMonitorMgr getJMXMonitorMgr()

  Get the JMXMonitorMgr

### getNotificationServiceMgr

    public NotificationServiceMgr getNotificationServiceMgr()

  Get the NotificationServiceMgr

### getSystemInfo

    public SystemInfo getSystemInfo()

  Get the SystemInfo

### getQueryMgr

    public QueryMgr getQueryMgr()

  Get the QueryMgr

### getBulkAccess

    public BulkAccess getBulkAccess()

  Get the BulkAccess

### getUploadDownloadMgr

    public UploadDownloadMgr getUploadDownloadMgr()

  Get the UploadDownloadMgr

### getConfigDottedNames

    public ConfigDottedNames getConfigDottedNames()

  Get the ConfigDottedNames

### getMonitoringDottedNames

    public MonitoringDottedNames getMonitoringDottedNames()

  Get the MonitoringDottedNames

### getMonitoringRoot

    public MonitoringRoot getMonitoringRoot()

  Get the MonitoringRoot

### getDeploymentMgr

    public DeploymentMgr getDeploymentMgr()

  Get the DeploymentMgr

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.